<%#
# Show

This view is the template for the show page.
It renders the attributes of a resource,
as well as a link to its edit page.

## Local variables:

- `page`:
  An instance of [Administrate::Page::Show][1].
  Contains methods for accessing the resource to be displayed on the page,
  as well as helpers for describing how each attribute of the resource
  should be displayed.

[1]: http://www.rubydoc.info/gems/administrate/Administrate/Page/Show
%>

<% content_for(:title) { t("administrate.actions.show_resource", name: page.page_title) } %>

<% content_for(:header_actions) do %>
  <%= link_to(
    translate_with_resource(:edit_short, resource_name, scope: 'administrate.actions'),
    [:edit, namespace, page.resource],
    class: "button",
  ) if valid_action?(:edit) && show_action?(:edit, page.resource) %>
<% end %>

<section class="main-content__body container">
  <dl class="container__main">
    <% page.attributes.each do |attribute| %>
      <dt class="attribute-label" id="<%= attribute.name %>">
      <%= t(
        "helpers.label.#{resource_name}.#{attribute.name}",
        default: attribute.name.titleize,
      ) %>
      </dt>

      <dd class="attribute-data attribute-data--<%=attribute.html_class%>"
          ><%= render_field attribute, page: page %></dd>
    <% end %>
  </dl>

  <%= render 'admin/application/show_sidebar', page: page %>
</section>
